NormalDistribution Class Reference

Normal distribution function. More...

`#include <ql/math/distributions/normaldistribution.hpp>`

Inherits unary_function< Real, Real >.

## Public Member Functions

| NormalDistribution (Real average=0.0, Real sigma=1.0)
Real | operator() (Real x) const
Real | derivative (Real x) const

## Detailed Description

Normal distribution function.

Given x, it returns its probability in a Gaussian normal distribution. It provides the first derivative too.

Tests:
  the correctness of the returned value is tested by checking it against numerical calculations. Cross-checks are also performed against the CumulativeNormalDistribution and InverseCumulativeNormal classes.